Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1533550 - [v2v] RHV ISO and export domain types and domains in maintenance/down state should not be listed in destination storage dropbox.
Summary: [v2v] RHV ISO and export domain types and domains in maintenance/down state s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: GA
: 5.9.0
Assignee: Shmuel Melamud
QA Contact: Nisim Simsolo
URL:
Whiteboard: rhev:v2v
Depends On: 1516706 1540159
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-11 16:13 UTC by Satoe Imaishi
Modified: 2018-03-06 15:15 UTC (History)
10 users (show)

Fixed In Version: 5.9.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1516706
Environment:
Last Closed: 2018-03-06 15:15:03 UTC
Category: ---
Cloudforms Team: RHEVM
istein: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-content pull 229 None None None 2018-01-11 16:13:35 UTC

Comment 2 CFME Bot 2018-01-11 16:26:53 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/3131253a91a5abefdec283c7fdffe7de805a8d7e

commit 3131253a91a5abefdec283c7fdffe7de805a8d7e
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Tue Jan 2 08:02:34 2018 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 11 11:12:46 2018 -0500

    Merge pull request #16719 from smelamud/storage-domain-type-spec
    
    :storage_redhat trait with storage_domain_type
    (cherry picked from commit 2dca8a5a9f455cd5be58a53f51c79de73eef25d5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1533550

 spec/factories/host.rb    | 18 +++++++++++++++++-
 spec/factories/storage.rb |  1 +
 2 files changed, 18 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2018-01-11 16:28:48 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:
https://github.com/ManageIQ/manageiq-content/commit/d7abe46898eb0992613ccc6a75bb542d75c16ae8

commit d7abe46898eb0992613ccc6a75bb542d75c16ae8
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jan 10 14:00:55 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 11 11:24:55 2018 -0500

    Merge pull request #229 from smelamud/list-storages-data-only
    
    Only data storage domains in VM transform dialog
    (cherry picked from commit 2ece9d36033f3770ac9c112690fc18a185b22693)
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1533550

 .../Import.class/__methods__/list_storages.rb          |  2 +-
 .../Import.class/__methods__/list_storages_spec.rb     | 18 +++++++++++++-----
 2 files changed, 14 insertions(+), 6 deletions(-)

Comment 4 Ilanit Stein 2018-01-30 11:17:03 UTC
Tested on CFME-5.9.0.18/RHV-4.1.8:

On this CFME version, only "data" storage types are displayed in the storage dropbox, and Export, ISO domains not, as expected.

However, when choosing a cluster, connected to a Datacenter, 
that do not have any storage domains attached, 
the displayed storages will be active storages, connected to ANOTHER Datacenter.

Shmuel,
Would you please check? 

Thanks.

Comment 5 Ilanit Stein 2018-02-15 09:14:35 UTC
After discussing with Shmuel, it turned out that the problem mentioned in comment 4 is a separate bug, thus moving the bug to VERIFIED.

Comment 6 Ilanit Stein 2018-02-15 10:47:45 UTC
filed Bug 1545599 - [v2v] Storage domains displayed for inactive data center belong to the active data center,
for the issue detailed in comment 4.


Note You need to log in before you can comment on or make changes to this bug.